#include<bits/stdc++.h>
using namespace std;

int main(){
    ios::sync_with_stdio(false);
    cin.tie(0);
    int n;
    cin >> n;
    if(n == 2){
        cout << 1 << ' ' << 3 << '\n';
        cout << 4 << ' ' << 2 << '\n';
        return 0;
    }
    if (n == 3){
        cout << 2 << ' ' << 6 << ' ' << 3 << '\n';
        cout << 5 << ' ' << 1 << ' ' << 4 << '\n';
        return 0;
    }
    if(n > 3){
        vector<int> ponudjeni(2*n);
        for(int i = 0;i < n*2;i++) ponudjeni[i] = i+1;
        vector<int> prvi(n);
        vector<int> drugi(n);
        prvi[1] = ponudjeni[2*n-1];
        drugi[0] = ponudjeni[2*n-2];
        drugi[n-1] = ponudjeni[2*n-3];
        prvi[n-1] = ponudjeni[2];
        drugi[n-2] = ponudjeni[0];
        prvi[0] = ponudjeni[1];
        int k = 2;
        for(int i = 0;i < n-3;i++){
            prvi[2+i] = k*2;
            drugi[1+i] = k*2+1;
            k += 1;
        }
        for(int i = 0;i < n;i++){
            cout << prvi[i] << ' ';
        }
        cout << '\n';
        for(int i = 0;i < n;i++) cout << drugi[i] << ' ';
        return 0;
    }
    return 0;
}